Redmine - Defect #32168

Allow issue id with "#" prefix for the value of issue ids filter
2019-09-29 03:27 - Go MAEDA

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues filter Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution: Affected version:

Description

| found an inconsistent behavior regarding issues filter.

"Parent task" and "Subtasks" filter accept issue ids with "#" prefix (e.g. #123), however, "Issues" filter does not. | think "Issues" filter
should also behave the same.

Filter value "Parent task" / "Subtasks" filter "Issue" filter
10,11 OK OK
#10,#11 OK "Issue is invalid" error
10, 11 OK "Issue is invalid" error
Issues
Filters
.4 Status open
%) Issue is #10,#11
Options

v Apply @ Clear =§ Save

e Issue is invalid

Related issues:
Related to Redmine - Feature #33352: Enable inline issue autocomplete in issu... New

History

#1 - 2019-10-01 10:28 - Yuichi HARADA
- File 32168.patch added

Accepted to input with "#" prefix even in "Issue" filter.
| attached a patch.

#2 - 2019-10-02 08:26 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2020-04-28 17:16 - Go MAEDA

- Related to Feature #33352: Enable inline issue autocomplete in issue id query filter fields added

Files
validation-error@2x.png 13.3 KB 2019-09-29 Go MAEDA
32168.patch 1.52 KB 2019-10-01 Yuichi HARADA
